de.esprit.common.gui.event

## Class WizzardEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.gui.event.WizzardEvent

- All Implemented Interfaces:
    Dumpable

      public class WizzardEvent
      extends DumpableObject

  This event notifies listeners about changes while stepping through a wizzard.
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `WizzardEvent.Listener`
    `static interface` | `WizzardEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WizzardEvent(java.lang.Object source, int stateIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStateIndex()` Returns the current EditState
    `boolean` | `isInitialState()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WizzardEvent

          public WizzardEvent(java.lang.Object source,
                      int stateIndex)

  - ### Method Detail

    - #### getStateIndex

          public int getStateIndex()

      Returns the current EditState

    - #### isInitialState

          public boolean isInitialState()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.